## net.sourceforge.pmd.dfa.report
Class ReportTree

    java.lang.Object
      net.sourceforge.pmd.dfa.report.ReportTree

public class ReportTree
extends java.lang.Object

Constructor Summary
`ReportTree()`

Method Summary
`void` `addRuleViolation(IRuleViolation violation)` Adds the RuleViolation to the tree.
`AbstractReportNode` `getRootNode()`
`java.util.Iterator` `iterator()`
`int` `size()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReportTree

    public ReportTree()

Method Detail

### iterator

    public java.util.Iterator iterator()

### size

    public int size()

### getRootNode

    public AbstractReportNode getRootNode()

### addRuleViolation

    public void addRuleViolation(IRuleViolation violation)

  Adds the RuleViolation to the tree. Splits the package name. Each package, class and violation gets there own tree node.

Copyright © 2002-2006 InfoEther. All Rights Reserved.